- [ActivityListBundle](#activitylistbundle)
- [AddressBundle](#addressbundle)
- [ApiBundle](#apibundle)
- [AssetBundle](#assetbundle)
- [AttachmentBundle](#attachmentbundle)
- [CommentBundle](#commentbundle)
- [Config](#config)
- [CronBundle](#cronbundle)
- [DataAuditBundle](#dataauditbundle)
- [DataGridBundle](#datagridbundle)
- [DistributionBundle](#distributionbundle)
- [DoctrineUtils](#doctrineutils)
- [EmailBundle](#emailbundle)
- [EmbeddedFormBundle](#embeddedformbundle)
- [EntityBundle](#entitybundle)
- [EntityConfigBundle](#entityconfigbundle)
- [ImapBundle](#imapbundle)
- [ImportExportBundle](#importexportbundle)
- [InstallerBundle](#installerbundle)
- [IntegrationBundle](#integrationbundle)
- [Layout](#layout)
- [LayoutBundle](#layoutbundle)
- [MessageQueue](#messagequeue)
- [NavigationBundle](#navigationbundle)
- [OrganizationBundle](#organizationbundle)
- [ReportBundle](#reportbundle)
- [RequireJSBundle](#requirejsbundle)
- [SecurityBundle](#securitybundle)
- [SyncBundle](#syncbundle)
- [UIBundle](#uibundle)
- [UserBundle](#userbundle)
- [WorkflowBundle](#workflowbundle)

ActivityListBundle
------------------
* The `ActivityListManager::getRelatedActivityEntities(ActivityList $entity, $entityProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ActivityListBundle/Entity/Manager/ActivityListManager.php#L408 "Oro\Bundle\ActivityListBundle\Entity\Manager\ActivityListManager")</sup> method was changed to `ActivityListManager::getRelatedActivityEntities(ActivityList $entity, ActivityListProviderInterface $entityProvider, $activity)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ActivityListBundle/Entity/Manager/ActivityListManager.php#L414 "Oro\Bundle\ActivityListBundle\Entity\Manager\ActivityListManager")</sup>

AddressBundle
-------------
* The following classes were removed:
   - `AddressProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AddressBundle/Provider/AddressProvider.php#L7 "Oro\Bundle\AddressBundle\Provider\AddressProvider")</sup>
   - `AddressManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AddressBundle/Entity/Manager/AddressManager.php#L9 "Oro\Bundle\AddressBundle\Entity\Manager\AddressManager")</sup>
   - `AddressProviderPass`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AddressBundle/DependencyInjection/Compiler/AddressProviderPass.php#L9 "Oro\Bundle\AddressBundle\DependencyInjection\Compiler\AddressProviderPass")</sup>
* The `AddressType::__construct(AddressCountryAndRegionSubscriber $eventListener)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AddressBundle/Form/Type/AddressType.php#L29 "Oro\Bundle\AddressBundle\Form\Type\AddressType")</sup> method was changed to `AddressType::__construct(AddressCountryAndRegionSubscriber $eventListener, AddressIdentifierSubscriber $addressIdentifierSubscriber)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/AddressBundle/Form/Type/AddressType.php#L35 "Oro\Bundle\AddressBundle\Form\Type\AddressType")</sup>
* The `AbstractAddress::setId`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AddressBundle/Entity/AbstractAddress.php#L296 "Oro\Bundle\AddressBundle\Entity\AbstractAddress::setId")</sup> method was removed.
* The `StorageInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AddressBundle/Entity/Manager/StorageInterface.php#L7 "Oro\Bundle\AddressBundle\Entity\Manager\StorageInterface")</sup> interface was removed.

ApiBundle
---------
* The `ConfigCache::__construct(string $configKey, ConfigCacheFactory $configCacheFactory, ConfigCacheWarmer $configCacheWarmer)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ApiBundle/Provider/ConfigCache.php#L27 "Oro\Bundle\ApiBundle\Provider\ConfigCache")</sup> method was changed to `ConfigCache::__construct(string $configKey, bool $debug, ConfigCacheFactory $configCacheFactory, ConfigCacheWarmer $configCacheWarmer)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ApiBundle/Provider/ConfigCache.php#L46 "Oro\Bundle\ApiBundle\Provider\ConfigCache")</sup>
* The `ResourcesCache::__construct(CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ApiBundle/Provider/ResourcesCache.php#L27 "Oro\Bundle\ApiBundle\Provider\ResourcesCache")</sup> method was changed to `ResourcesCache::__construct(ResourcesCacheAccessor $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ApiBundle/Provider/ResourcesCache.php#L26 "Oro\Bundle\ApiBundle\Provider\ResourcesCache")</sup>
* The `SecurityFirewallContextListener::__construct(ListenerInterface $innerListener, string $sessionName, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ApiBundle/EventListener/SecurityFirewallContextListener.php#L34 "Oro\Bundle\ApiBundle\EventListener\SecurityFirewallContextListener")</sup> method was changed to `SecurityFirewallContextListener::__construct(ListenerInterface $innerListener, TokenStorageInterface $tokenStorage, SessionInterface $session = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ApiBundle/EventListener/SecurityFirewallContextListener.php#L35 "Oro\Bundle\ApiBundle\EventListener\SecurityFirewallContextListener")</sup>
* The `SecurityFirewallExceptionListener::setSessionName`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ApiBundle/EventListener/SecurityFirewallExceptionListener.php#L21 "Oro\Bundle\ApiBundle\EventListener\SecurityFirewallExceptionListener::setSessionName")</sup> method was removed.

AssetBundle
-----------
* The `NodeProcessFactory::createProcess`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AssetBundle/NodeProcessFactory.php#L31 "Oro\Bundle\AssetBundle\NodeProcessFactory::createProcess")</sup> method was removed.
* The `OroAssetsBuildCommand::enableTty`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AssetBundle/Command/OroAssetsBuildCommand.php#L213 "Oro\Bundle\AssetBundle\Command\OroAssetsBuildCommand::enableTty")</sup> method was removed.

AttachmentBundle
----------------
* The `FileManager::__construct(FilesystemMap $filesystemMap, ProtocolValidatorInterface $protocolValidator)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/AttachmentBundle/Manager/FileManager.php#L29 "Oro\Bundle\AttachmentBundle\Manager\FileManager")</sup> method was changed to `FileManager::__construct(string $filesystemName, ProtocolValidatorInterface $protocolValidator)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/AttachmentBundle/Manager/FileManager.php#L28 "Oro\Bundle\AttachmentBundle\Manager\FileManager")</sup>

CommentBundle
-------------
* The `CommentApiManager::__construct(Registry $doctrine, AuthorizationCheckerInterface $authorizationChecker, EntityNameResolver $entityNameResolver, Pager $pager, EventDispatcherInterface $eventDispatcher, AttachmentProvider $attachmentProvider, AclHelper $aclHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/CommentBundle/Entity/Manager/CommentApiManager.php#L69 "Oro\Bundle\CommentBundle\Entity\Manager\CommentApiManager")</sup> method was changed to `CommentApiManager::__construct(Registry $doctrine, AuthorizationCheckerInterface $authorizationChecker, EntityNameResolver $entityNameResolver, CountQueryBuilderOptimizer $countQueryBuilderOptimizer, EventDispatcherInterface $eventDispatcher, AttachmentProvider $attachmentProvider, AclHelper $aclHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/CommentBundle/Entity/Manager/CommentApiManager.php#L73 "Oro\Bundle\CommentBundle\Entity\Manager\CommentApiManager")</sup>
* The `CommentApiManager::$pager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/CommentBundle/Entity/Manager/CommentApiManager.php#L36 "Oro\Bundle\CommentBundle\Entity\Manager\CommentApiManager::$pager")</sup> property was removed.

Config
------
* The `CumulativeConfigLoader::load(ContainerBuilder $container = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Component/Config/Loader/CumulativeConfigLoader.php#L64 "Oro\Component\Config\Loader\CumulativeConfigLoader")</sup> method was changed to `CumulativeConfigLoader::load($resourcesContainer = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Component/Config/Loader/CumulativeConfigLoader.php#L63 "Oro\Component\Config\Loader\CumulativeConfigLoader")</sup>

CronBundle
----------
* The `CommandRunnerMessageProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/CronBundle/Async/CommandRunnerMessageProcessor.php#L19 "Oro\Bundle\CronBundle\Async\CommandRunnerMessageProcessor")</sup> class was removed.
* The `CommandRunnerProcessor::__construct(CommandRunnerInterface $commandRunner, JobRunner $jobRunner, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/CronBundle/Async/CommandRunnerProcessor.php#L34 "Oro\Bundle\CronBundle\Async\CommandRunnerProcessor")</sup> method was changed to `CommandRunnerProcessor::__construct(JobRunner $jobRunner, CommandRunnerInterface $commandRunner)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/CronBundle/Async/CommandRunnerProcessor.php#L38 "Oro\Bundle\CronBundle\Async\CommandRunnerProcessor")</sup>

DataAuditBundle
---------------
* The following methods in class `SendChangedEntitiesToMessageQueueListener`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DataAuditBundle/EventListener/SendChangedEntitiesToMessageQueueListener.php#L121 "Oro\Bundle\DataAuditBundle\EventListener\SendChangedEntitiesToMessageQueueListener")</sup> were removed:
   - `setAdditionalEntityChangesStorage`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DataAuditBundle/EventListener/SendChangedEntitiesToMessageQueueListener.php#L121 "Oro\Bundle\DataAuditBundle\EventListener\SendChangedEntitiesToMessageQueueListener::setAdditionalEntityChangesStorage")</sup>
   - `setEntityNameResolver`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DataAuditBundle/EventListener/SendChangedEntitiesToMessageQueueListener.php#L127 "Oro\Bundle\DataAuditBundle\EventListener\SendChangedEntitiesToMessageQueueListener::setEntityNameResolver")</sup>
* The `SendChangedEntitiesToMessageQueueListener::__construct(MessageProducerInterface $messageProducer, TokenStorageInterface $tokenStorage, AdditionalEntityChangesToAuditStorage $additionalEntityChangesStorage, EntityToEntityChangeArrayConverter $entityToArrayConverter, AuditConfigProvider $auditConfigProvider, EntityNameResolver $entityNameResolver, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DataAuditBundle/EventListener/SendChangedEntitiesToMessageQueueListener.php#L86 "Oro\Bundle\DataAuditBundle\EventListener\SendChangedEntitiesToMessageQueueListener")</sup> method was changed to `SendChangedEntitiesToMessageQueueListener::__construct(MessageProducerInterface $messageProducer, TokenStorageInterface $tokenStorage, AdditionalEntityChangesToAuditStorage $additionalEntityChangesStorage, EntityToEntityChangeArrayConverter $entityToArrayConverter, AuditConfigProvider $auditConfigProvider, LoggerInterface $logger, AuditMessageBodyProvider $auditMessageBodyProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/DataAuditBundle/EventListener/SendChangedEntitiesToMessageQueueListener.php#L83 "Oro\Bundle\DataAuditBundle\EventListener\SendChangedEntitiesToMessageQueueListener")</sup>

DataGridBundle
--------------
* The `Pager::getAppliedResult`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DataGridBundle/Extension/Pager/Orm/Pager.php#L133 "Oro\Bundle\DataGridBundle\Extension\Pager\Orm\Pager::getAppliedResult")</sup> method was removed.
* The `Pager::__construct(AclHelper $aclHelper, CountQueryBuilderOptimizer $countQueryOptimizer, QueryHintResolver $queryHintResolver, $maxPerPage, QueryBuilder $qb = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DataGridBundle/Extension/Pager/Orm/Pager.php#L48 "Oro\Bundle\DataGridBundle\Extension\Pager\Orm\Pager")</sup> method was changed to `Pager::__construct(AclHelper $aclHelper, CountQueryBuilderOptimizer $countQueryOptimizer, QueryHintResolver $queryHintResolver, QueryExecutorInterface $queryExecutor, $maxPerPage, QueryBuilder $qb = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/DataGridBundle/Extension/Pager/Orm/Pager.php#L59 "Oro\Bundle\DataGridBundle\Extension\Pager\Orm\Pager")</sup>
* The `OrmDatasource::__construct(ConfigProcessorInterface $processor, EventDispatcherInterface $eventDispatcher, ParameterBinderInterface $parameterBinder, QueryHintResolver $queryHintResolver)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DataGridBundle/Datasource/Orm/OrmDatasource.php#L60 "Oro\Bundle\DataGridBundle\Datasource\Orm\OrmDatasource")</sup> method was changed to `OrmDatasource::__construct(ConfigProcessorInterface $processor, EventDispatcherInterface $eventDispatcher, ParameterBinderInterface $parameterBinder, QueryHintResolver $queryHintResolver, QueryExecutorInterface $queryExecutor)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/DataGridBundle/Datasource/Orm/OrmDatasource.php#L64 "Oro\Bundle\DataGridBundle\Datasource\Orm\OrmDatasource")</sup>

DistributionBundle
------------------
* The `ErrorHandler::handleWarning($number, $string)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/DistributionBundle/Error/ErrorHandler.php#L86 "Oro\Bundle\DistributionBundle\Error\ErrorHandler")</sup> method was changed to `ErrorHandler::handleWarning(string $string)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/DistributionBundle/Error/ErrorHandler.php#L83 "Oro\Bundle\DistributionBundle\Error\ErrorHandler")</sup>

DoctrineUtils
-------------
* The `SqlQuery::setQueryBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Component/DoctrineUtils/ORM/SqlQuery.php#L16 "Oro\Component\DoctrineUtils\ORM\SqlQuery::setQueryBuilder")</sup> method was removed.

EmailBundle
-----------
* The `SendEmail::__construct(ContextAccessor $contextAccessor, Processor $emailProcessor, EmailAddressHelper $emailAddressHelper, EntityNameResolver $entityNameResolver)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Workflow/Action/SendEmail.php#L26 "Oro\Bundle\EmailBundle\Workflow\Action\SendEmail")</sup> method was changed to `SendEmail::__construct(ContextAccessor $contextAccessor, Processor $emailProcessor, EmailAddressHelper $emailAddressHelper, EntityNameResolver $entityNameResolver, EmailOriginHelper $emailOriginHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EmailBundle/Workflow/Action/SendEmail.php#L36 "Oro\Bundle\EmailBundle\Workflow\Action\SendEmail")</sup>
* The `SendEmailTemplate::__construct(ContextAccessor $contextAccessor, Processor $emailProcessor, EmailAddressHelper $emailAddressHelper, EntityNameResolver $entityNameResolver, EmailRenderer $renderer, ObjectManager $objectManager, ValidatorInterface $validator)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Workflow/Action/SendEmailTemplate.php#L53 "Oro\Bundle\EmailBundle\Workflow\Action\SendEmailTemplate")</sup> method was changed to `SendEmailTemplate::__construct(ContextAccessor $contextAccessor, Processor $emailProcessor, EmailAddressHelper $emailAddressHelper, EntityNameResolver $entityNameResolver, EmailRenderer $renderer, ObjectManager $objectManager, ValidatorInterface $validator, EmailOriginHelper $emailOriginHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EmailBundle/Workflow/Action/SendEmailTemplate.php#L58 "Oro\Bundle\EmailBundle\Workflow\Action\SendEmailTemplate")</sup>
* The `RelatedEmailsProvider::__construct(Registry $registry, ConfigManager $configManager, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, NameFormatter $nameFormatter, EmailAddressHelper $emailAddressHelper, EmailRecipientsHelper $emailRecipientsHelper, EntityFieldProvider $entityFieldProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L64 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider")</sup> method was changed to `RelatedEmailsProvider::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, EmailRecipientsHelper $emailRecipientsHelper, EntityFieldProvider $entityFieldProvider, EmailAttributeProvider $emailAttributeProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L46 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider")</sup>
* The `EmailConfigurationConfigurator::__construct(SymmetricCrypterInterface $encryptor)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Form/Configurator/EmailConfigurationConfigurator.php#L23 "Oro\Bundle\EmailBundle\Form\Configurator\EmailConfigurationConfigurator")</sup> method was changed to `EmailConfigurationConfigurator::__construct(SymmetricCrypterInterface $encryptor, ValidatorInterface $validator)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EmailBundle/Form/Configurator/EmailConfigurationConfigurator.php#L30 "Oro\Bundle\EmailBundle\Form\Configurator\EmailConfigurationConfigurator")</sup>
* The `EmailRecipientRepository::getEmailsUsedInLast30DaysQb(array $senderEmails = [], array $excludedEmails = [], $query = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Entity/Repository/EmailRecipientRepository.php#L51 "Oro\Bundle\EmailBundle\Entity\Repository\EmailRecipientRepository")</sup> method was changed to `EmailRecipientRepository::getEmailsUsedInLast30DaysQb(array $senderEmails = [], array $excludedEmails = [], $query = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EmailBundle/Entity/Repository/EmailRecipientRepository.php#L20 "Oro\Bundle\EmailBundle\Entity\Repository\EmailRecipientRepository")</sup>
* The `EmailExtension::getEmailThreadRecipients`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Twig/EmailExtension.php#L157 "Oro\Bundle\EmailBundle\Twig\EmailExtension::getEmailThreadRecipients")</sup> method was removed.
* The following methods in class `RelatedEmailsProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L171 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider")</sup> were removed:
   - `createEmailsFromAttributes`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L171 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::createEmailsFromAttributes")</sup>
   - `createRecipientsFromEmails`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L200 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::createRecipientsFromEmails")</sup>
   - `getFieldAttributes`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L218 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::getFieldAttributes")</sup>
   - `formatEmail`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L253 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::formatEmail")</sup>
   - `getMetadata`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L281 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::getMetadata")</sup>
   - `initAttributes`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L293 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::initAttributes")</sup>
* The `Processor::getEmailOrigin`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Mailer/Processor.php#L338 "Oro\Bundle\EmailBundle\Mailer\Processor::getEmailOrigin")</sup> method was removed.
* The `EmailRecipientRepository::getThreadUniqueRecipients`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Entity/Repository/EmailRecipientRepository.php#L20 "Oro\Bundle\EmailBundle\Entity\Repository\EmailRecipientRepository::getThreadUniqueRecipients")</sup> method was removed.
* The following properties in class `RelatedEmailsProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L28 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider")</sup> were removed:
   - `$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L28 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::$registry")</sup>
   - `$configManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L31 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::$configManager")</sup>
   - `$nameFormatter`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L40 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::$nameFormatter")</sup>
   - `$emailAddressHelper`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmailBundle/Provider/RelatedEmailsProvider.php#L43 "Oro\Bundle\EmailBundle\Provider\RelatedEmailsProvider::$emailAddressHelper")</sup>

EmbeddedFormBundle
------------------
* The `CsrfTokenStorageDecorator::__construct(TokenStorageInterface $mainTokenStorage, TokenStorageInterface $embeddedFormTokenStorage, RequestStack $requestStack, array $sessionOptions, $embeddedFormRouteName, $sessionIdFieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Manager/CsrfTokenStorageDecorator.php#L41 "Oro\Bundle\EmbeddedFormBundle\Manager\CsrfTokenStorageDecorator")</sup> method was changed to `CsrfTokenStorageDecorator::__construct(TokenStorageInterface $mainTokenStorage, TokenStorageInterface $embeddedFormTokenStorage, RequestStack $requestStack, $embeddedFormRouteName)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EmbeddedFormBundle/Manager/CsrfTokenStorageDecorator.php#L33 "Oro\Bundle\EmbeddedFormBundle\Manager\CsrfTokenStorageDecorator")</sup>
* The `EmbedFormLayoutManager::__construct(LayoutManager $layoutManager, EmbeddedFormManager $formManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Manager/EmbedFormLayoutManager.php#L36 "Oro\Bundle\EmbeddedFormBundle\Manager\EmbedFormLayoutManager")</sup> method was changed to `EmbedFormLayoutManager::__construct(LayoutManager $layoutManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EmbeddedFormBundle/Manager/EmbedFormLayoutManager.php#L35 "Oro\Bundle\EmbeddedFormBundle\Manager\EmbedFormLayoutManager")</sup>
* The following properties in class `CsrfTokenStorageDecorator`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Manager/CsrfTokenStorageDecorator.php#L25 "Oro\Bundle\EmbeddedFormBundle\Manager\CsrfTokenStorageDecorator")</sup> were removed:
   - `$sessionOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Manager/CsrfTokenStorageDecorator.php#L25 "Oro\Bundle\EmbeddedFormBundle\Manager\CsrfTokenStorageDecorator::$sessionOptions")</sup>
   - `$sessionIdFieldName`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Manager/CsrfTokenStorageDecorator.php#L31 "Oro\Bundle\EmbeddedFormBundle\Manager\CsrfTokenStorageDecorator::$sessionIdFieldName")</sup>
* The `EmbedFormLayoutManager::$formManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Manager/EmbedFormLayoutManager.php#L18 "Oro\Bundle\EmbeddedFormBundle\Manager\EmbedFormLayoutManager::$formManager")</sup> property was removed.
* The `EmbeddedFormManager::getCustomFormLayoutByFormType`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Manager/EmbeddedFormManager.php#L137 "Oro\Bundle\EmbeddedFormBundle\Manager\EmbeddedFormManager::getCustomFormLayoutByFormType")</sup> method was removed.
* The following interfaces were removed:
   - `CustomLayoutFormInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Form/Type/CustomLayoutFormInterface.php#L7 "Oro\Bundle\EmbeddedFormBundle\Form\Type\CustomLayoutFormInterface")</sup>
   - `CustomLayoutFormTypeInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EmbeddedFormBundle/Form/Type/CustomLayoutFormTypeInterface.php#L7 "Oro\Bundle\EmbeddedFormBundle\Form\Type\CustomLayoutFormTypeInterface")</sup>

EntityBundle
------------
* The `EntityRoutingHelper::decodeClassName`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EntityBundle/Tools/EntityRoutingHelper.php#L56 "Oro\Bundle\EntityBundle\Tools\EntityRoutingHelper::decodeClassName")</sup> method was removed.

EntityConfigBundle
------------------
* The `ConfigProvider::getConfig($entity, $fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/EntityConfigBundle/Layout/DataProvider/ConfigProvider.php#L20 "Oro\Bundle\EntityConfigBundle\Layout\DataProvider\ConfigProvider")</sup> method was changed to `ConfigProvider::getConfig($className, $fieldName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/EntityConfigBundle/Layout/DataProvider/ConfigProvider.php#L31 "Oro\Bundle\EntityConfigBundle\Layout\DataProvider\ConfigProvider")</sup>

ImapBundle
----------
* The `ImapEmailGoogleOauth2Manager::getAccessToken`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImapBundle/Manager/ImapEmailGoogleOauth2Manager.php#L105 "Oro\Bundle\ImapBundle\Manager\ImapEmailGoogleOauth2Manager::getAccessToken")</sup> method was removed.

ImportExportBundle
------------------
* The following classes were removed:
   - `AbstractImportHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Handler/AbstractImportHandler.php#L12 "Oro\Bundle\ImportExportBundle\Handler\AbstractImportHandler")</sup>
   - `CliImportHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Handler/CliImportHandler.php#L11 "Oro\Bundle\ImportExportBundle\Handler\CliImportHandler")</sup>
   - `HttpImportHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Handler/HttpImportHandler.php#L12 "Oro\Bundle\ImportExportBundle\Handler\HttpImportHandler")</sup>
   - `SendImportErrorNotificationMessageProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/SendImportErrorNotificationMessageProcessor.php#L21 "Oro\Bundle\ImportExportBundle\Async\SendImportErrorNotificationMessageProcessor")</sup>
   - `HttpImportMessageProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Import/HttpImportMessageProcessor.php#L8 "Oro\Bundle\ImportExportBundle\Async\Import\HttpImportMessageProcessor")</sup>
   - `PreCliImportMessageProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Import/PreCliImportMessageProcessor.php#L15 "Oro\Bundle\ImportExportBundle\Async\Import\PreCliImportMessageProcessor")</sup>
   - `PreHttpImportMessageProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Import/PreHttpImportMessageProcessor.php#L18 "Oro\Bundle\ImportExportBundle\Async\Import\PreHttpImportMessageProcessor")</sup>
   - `PreImportMessageProcessorAbstract`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Import/PreImportMessageProcessorAbstract.php#L23 "Oro\Bundle\ImportExportBundle\Async\Import\PreImportMessageProcessorAbstract")</sup>
* The `DatabaseHelper::getRegistry`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Field/DatabaseHelper.php#L323 "Oro\Bundle\ImportExportBundle\Field\DatabaseHelper::getRegistry")</sup> method was removed.
* The `ImportExportController::errorLogAction`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Controller/ImportExportController.php#L437 "Oro\Bundle\ImportExportBundle\Controller\ImportExportController::errorLogAction")</sup> method was removed.
* The `ImportCommand::getFileManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Command/ImportCommand.php#L197 "Oro\Bundle\ImportExportBundle\Command\ImportCommand::getFileManager")</sup> method was removed.
* The `PreExportMessageProcessor::setExportHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessor.php#L31 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessor::setExportHandler")</sup> method was removed.
* The `DatabaseHelper::__construct(ManagerRegistry $registry, DoctrineHelper $doctrineHelper, ServiceLink $fieldHelperLink, TokenAccessorInterface $tokenAccessor, ServiceLink $ownershipMetadataProviderLink)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Field/DatabaseHelper.php#L61 "Oro\Bundle\ImportExportBundle\Field\DatabaseHelper")</sup> method was changed to `DatabaseHelper::__construct(DoctrineHelper $doctrineHelper, ServiceLink $fieldHelperLink, TokenAccessorInterface $tokenAccessor, ServiceLink $ownershipMetadataProviderLink)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ImportExportBundle/Field/DatabaseHelper.php#L57 "Oro\Bundle\ImportExportBundle\Field\DatabaseHelper")</sup>
* The `ImportExportController::downloadExportResultAction($fileName)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Controller/ImportExportController.php#L419 "Oro\Bundle\ImportExportBundle\Controller\ImportExportController")</sup> method was changed to `ImportExportController::downloadExportResultAction(ImportExportResult $result)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ImportExportBundle/Controller/ImportExportController.php#L426 "Oro\Bundle\ImportExportBundle\Controller\ImportExportController")</sup>
* The `ImportMessageProcessor::__construct(JobRunner $jobRunner, ImportExportResultSummarizer $importExportResultSummarizer, JobStorage $jobStorage, LoggerInterface $logger, FileManager $fileManager, AbstractImportHandler $importHandler, PostponedRowsHandler $postponedRowsHandler)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Import/ImportMessageProcessor.php#L68 "Oro\Bundle\ImportExportBundle\Async\Import\ImportMessageProcessor")</sup> method was changed to `ImportMessageProcessor::__construct(JobRunner $jobRunner, ImportExportResultSummarizer $importExportResultSummarizer, JobStorage $jobStorage, LoggerInterface $logger, FileManager $fileManager, ImportHandler $importHandler, PostponedRowsHandler $postponedRowsHandler)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ImportExportBundle/Async/Import/ImportMessageProcessor.php#L68 "Oro\Bundle\ImportExportBundle\Async\Import\ImportMessageProcessor")</sup>
* The `PreExportMessageProcessorAbstract::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, TokenStorageInterface $tokenStorage, DependentJobService $dependentJob, LoggerInterface $logger, $sizeOfBatch)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessorAbstract.php#L61 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessorAbstract")</sup> method was changed to `PreExportMessageProcessorAbstract::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, TokenStorageInterface $tokenStorage, DependentJobService $dependentJob, LoggerInterface $logger, ExportHandler $exportHandler, $sizeOfBatch)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessorAbstract.php#L68 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessorAbstract")</sup>
* The `DatabaseHelper::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Field/DatabaseHelper.php#L22 "Oro\Bundle\ImportExportBundle\Field\DatabaseHelper::$registry")</sup> property was removed.
* The `PreExportMessageProcessor::$exportHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessor.php#L21 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessor::$exportHandler")</sup> property was removed.

InstallerBundle
---------------
* The following classes were removed:
   - `NamespaceMigrationProviderPass`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/InstallerBundle/DependencyInjection/CompilerPass/NamespaceMigrationProviderPass.php#L9 "Oro\Bundle\InstallerBundle\DependencyInjection\CompilerPass\NamespaceMigrationProviderPass")</sup>
   - `ConfigUpgradeCommand`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/InstallerBundle/Command/ConfigUpgradeCommand.php#L10 "Oro\Bundle\InstallerBundle\Command\ConfigUpgradeCommand")</sup>
   - `UpgradeCommand`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/InstallerBundle/Command/UpgradeCommand.php#L9 "Oro\Bundle\InstallerBundle\Command\UpgradeCommand")</sup>
   - `NamespaceMigration`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/InstallerBundle/CacheWarmer/NamespaceMigration.php#L11 "Oro\Bundle\InstallerBundle\CacheWarmer\NamespaceMigration")</sup>
* The `OroInstallerBundle::build`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/InstallerBundle/OroInstallerBundle.php#L14 "Oro\Bundle\InstallerBundle\OroInstallerBundle::build")</sup> method was removed.
* The `AssetsInstallCommandListener::__construct(Filesystem $filesystem, $kernelProjectDir)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/InstallerBundle/EventListener/AssetsInstallCommandListener.php#L28 "Oro\Bundle\InstallerBundle\EventListener\AssetsInstallCommandListener")</sup> method was changed to `AssetsInstallCommandListener::__construct(Filesystem $filesystem, string $kernelProjectDir)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/InstallerBundle/EventListener/AssetsInstallCommandListener.php#L31 "Oro\Bundle\InstallerBundle\EventListener\AssetsInstallCommandListener")</sup>

IntegrationBundle
-----------------
* The `ChannelHandler::__construct(RequestStack $requestStack, FormInterface $form, EntityManager $em, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/IntegrationBundle/Form/Handler/ChannelHandler.php#L38 "Oro\Bundle\IntegrationBundle\Form\Handler\ChannelHandler")</sup> method was changed to `ChannelHandler::__construct(RequestStack $requestStack, FormInterface $form, EntityManager $em, EventDispatcherInterface $eventDispatcher, FormFactoryInterface $formFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/IntegrationBundle/Form/Handler/ChannelHandler.php#L51 "Oro\Bundle\IntegrationBundle\Form\Handler\ChannelHandler")</sup>
* The `IntegrationController::getForm`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/IntegrationBundle/Controller/IntegrationController.php#L152 "Oro\Bundle\IntegrationBundle\Controller\IntegrationController::getForm")</sup> method was removed.

Layout
------
* The `PageTemplatesManager::__construct(ThemeManager $themeManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Component/Layout/Extension/Theme/Manager/PageTemplatesManager.php#L15 "Oro\Component\Layout\Extension\Theme\Manager\PageTemplatesManager")</sup> method was changed to `PageTemplatesManager::__construct(ThemeManager $themeManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Component/Layout/Extension/Theme/Manager/PageTemplatesManager.php#L23 "Oro\Component\Layout\Extension\Theme\Manager\PageTemplatesManager")</sup>

LayoutBundle
------------
* The `DebugLayoutContext`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Command/Util/DebugLayoutContext.php#L8 "Oro\Bundle\LayoutBundle\Command\Util\DebugLayoutContext")</sup> class was removed.
* The following methods in class `DataCollectorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Layout/Block/Extension/DataCollectorExtension.php#L32 "Oro\Bundle\LayoutBundle\Layout\Block\Extension\DataCollectorExtension")</sup> were removed:
   - `buildBlock`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Layout/Block/Extension/DataCollectorExtension.php#L32 "Oro\Bundle\LayoutBundle\Layout\Block\Extension\DataCollectorExtension::buildBlock")</sup>
   - `buildView`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Layout/Block/Extension/DataCollectorExtension.php#L40 "Oro\Bundle\LayoutBundle\Layout\Block\Extension\DataCollectorExtension::buildView")</sup>
* The following methods in class `ConfigurationPass`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/DependencyInjection/Compiler/ConfigurationPass.php#L59 "Oro\Bundle\LayoutBundle\DependencyInjection\Compiler\ConfigurationPass")</sup> were removed:
   - `getBlockTypes`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/DependencyInjection/Compiler/ConfigurationPass.php#L59 "Oro\Bundle\LayoutBundle\DependencyInjection\Compiler\ConfigurationPass::getBlockTypes")</sup>
   - `getDataProviders`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/DependencyInjection/Compiler/ConfigurationPass.php#L158 "Oro\Bundle\LayoutBundle\DependencyInjection\Compiler\ConfigurationPass::getDataProviders")</sup>
* The following methods in class `LayoutDataCollector`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/DataCollector/LayoutDataCollector.php#L114 "Oro\Bundle\LayoutBundle\DataCollector\LayoutDataCollector")</sup> were removed:
   - `collectBuildBlockOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/DataCollector/LayoutDataCollector.php#L114 "Oro\Bundle\LayoutBundle\DataCollector\LayoutDataCollector::collectBuildBlockOptions")</sup>
   - `collectBuildViewOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/DataCollector/LayoutDataCollector.php#L132 "Oro\Bundle\LayoutBundle\DataCollector\LayoutDataCollector::collectBuildViewOptions")</sup>
   - `collectBlockTree`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/DataCollector/LayoutDataCollector.php#L146 "Oro\Bundle\LayoutBundle\DataCollector\LayoutDataCollector::collectBlockTree")</sup>
* The following methods in class `DebugCommand`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Command/DebugCommand.php#L111 "Oro\Bundle\LayoutBundle\Command\DebugCommand")</sup> were removed:
   - `dumpOptionResolver`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Command/DebugCommand.php#L111 "Oro\Bundle\LayoutBundle\Command\DebugCommand::dumpOptionResolver")</sup>
   - `formatValue`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Command/DebugCommand.php#L141 "Oro\Bundle\LayoutBundle\Command\DebugCommand::formatValue")</sup>
* The `DebugOptionsResolverDecorator::__construct(OptionsResolver $optionsResolver)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/LayoutBundle/Command/Util/DebugOptionsResolverDecorator.php#L19 "Oro\Bundle\LayoutBundle\Command\Util\DebugOptionsResolverDecorator")</sup> method was changed to `DebugOptionsResolverDecorator::__construct(OptionsResolver $optionsResolver)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/LayoutBundle/Command/Util/DebugOptionsResolverDecorator.php#L23 "Oro\Bundle\LayoutBundle\Command\Util\DebugOptionsResolverDecorator")</sup>

MessageQueue
------------
* The `JobStorage::__construct(ManagerRegistry $doctrine, $entityClass, $uniqueTableName)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Component/MessageQueue/Job/JobStorage.php#L31 "Oro\Component\MessageQueue\Job\JobStorage")</sup> method was changed to `JobStorage::__construct(ManagerRegistry $doctrine, $entityClass, UniqueJobHandler $uniqueJobHandler)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Component/MessageQueue/Job/JobStorage.php#L33 "Oro\Component\MessageQueue\Job\JobStorage")</sup>

NavigationBundle
----------------
* The following methods in class `NavigationHistoryBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationHistoryBuilder.php#L24 "Oro\Bundle\NavigationBundle\Menu\NavigationHistoryBuilder")</sup> were removed:
   - `getMenuManipulator`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationHistoryBuilder.php#L24 "Oro\Bundle\NavigationBundle\Menu\NavigationHistoryBuilder::getMenuManipulator")</sup>
   - `setConfigManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationHistoryBuilder.php#L35 "Oro\Bundle\NavigationBundle\Menu\NavigationHistoryBuilder::setConfigManager")</sup>
   - `setMatcher`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationHistoryBuilder.php#L76 "Oro\Bundle\NavigationBundle\Menu\NavigationHistoryBuilder::setMatcher")</sup>
   - `getMatchedRoute`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationHistoryBuilder.php#L86 "Oro\Bundle\NavigationBundle\Menu\NavigationHistoryBuilder::getMatchedRoute")</sup>
* The `NavigationItemBuilder::getMatchedRoute`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationItemBuilder.php#L94 "Oro\Bundle\NavigationBundle\Menu\NavigationItemBuilder::getMatchedRoute")</sup> method was removed.
* The following methods in class `NavigationMostviewedBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationMostviewedBuilder.php#L17 "Oro\Bundle\NavigationBundle\Menu\NavigationMostviewedBuilder")</sup> were removed:
   - `setConfigManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationMostviewedBuilder.php#L17 "Oro\Bundle\NavigationBundle\Menu\NavigationMostviewedBuilder::setConfigManager")</sup>
   - `getMatchedRoute`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationMostviewedBuilder.php#L42 "Oro\Bundle\NavigationBundle\Menu\NavigationMostviewedBuilder::getMatchedRoute")</sup>
* The `NavigationItemController::getStateUrl`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Controller/Api/NavigationItemController.php#L215 "Oro\Bundle\NavigationBundle\Controller\Api\NavigationItemController::getStateUrl")</sup> method was removed.
* The `NavigationItemBuilder::__construct(TokenAccessorInterface $tokenAccessor, EntityManager $em, ItemFactory $factory, RouterInterface $router)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Menu/NavigationItemBuilder.php#L38 "Oro\Bundle\NavigationBundle\Menu\NavigationItemBuilder")</sup> method was changed to `NavigationItemBuilder::__construct(TokenAccessorInterface $tokenAccessor, NavigationItemsProviderInterface $navigationItemsProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/NavigationBundle/Menu/NavigationItemBuilder.php#L24 "Oro\Bundle\NavigationBundle\Menu\NavigationItemBuilder")</sup>
* The `RouteChoiceType::__construct(RouterInterface $router, TitleReaderRegistry $readerRegistry, TitleTranslator $titleTranslator, ServiceLink $titleServiceLink)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Form/Type/RouteChoiceType.php#L52 "Oro\Bundle\NavigationBundle\Form\Type\RouteChoiceType")</sup> method was changed to `RouteChoiceType::__construct(RouterInterface $router, TitleReaderRegistry $readerRegistry, TitleTranslator $titleTranslator, ServiceLink $titleServiceLink, Cache $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/NavigationBundle/Form/Type/RouteChoiceType.php#L62 "Oro\Bundle\NavigationBundle\Form\Type\RouteChoiceType")</sup>
* The `JsRoutingDumpListener::__construct(DynamicAssetVersionManager $assetVersionManager, string $projectDir)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/NavigationBundle/Event/JsRoutingDumpListener.php#L23 "Oro\Bundle\NavigationBundle\Event\JsRoutingDumpListener")</sup> method was changed to `JsRoutingDumpListener::__construct(DynamicAssetVersionManager $assetVersionManager, string $projectDir, string $filenamePrefix)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/NavigationBundle/Event/JsRoutingDumpListener.php#L27 "Oro\Bundle\NavigationBundle\Event\JsRoutingDumpListener")</sup>

OrganizationBundle
------------------
* The `OrganizationManager::getStorageManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/OrganizationBundle/Entity/Manager/OrganizationManager.php#L88 "Oro\Bundle\OrganizationBundle\Entity\Manager\OrganizationManager::getStorageManager")</sup> method was removed.

ReportBundle
------------
* The `OroReportExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/ReportBundle/DependencyInjection/OroReportExtension.php#L37 "Oro\Bundle\ReportBundle\DependencyInjection\OroReportExtension::getAlias")</sup> method was removed.

RequireJSBundle
---------------
* The `OroBuildCommand::__construct(NodeProcessFactory $nodeProcessFactory, ConfigProviderManager $configProviderManager, Filesystem $filesystem, string $webRoot, $timeout)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/RequireJSBundle/Command/OroBuildCommand.php#L53 "Oro\Bundle\RequireJSBundle\Command\OroBuildCommand")</sup> method was changed to `OroBuildCommand::__construct(NodeProcessFactory $nodeProcessFactory, ConfigProviderManager $configProviderManager, Filesystem $filesystem, string $webRoot, $timeout, CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/RequireJSBundle/Command/OroBuildCommand.php#L60 "Oro\Bundle\RequireJSBundle\Command\OroBuildCommand")</sup>

SecurityBundle
--------------
* The `OroSecurityExtension::checkResourceIsGranted`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/SecurityBundle/Twig/OroSecurityExtension.php#L80 "Oro\Bundle\SecurityBundle\Twig\OroSecurityExtension::checkResourceIsGranted")</sup> method was removed.
* The `ChainEntityOwnershipDecisionMaker::$ownershipDecisionMaker`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/SecurityBundle/Owner/ChainEntityOwnershipDecisionMaker.php#L22 "Oro\Bundle\SecurityBundle\Owner\ChainEntityOwnershipDecisionMaker::$ownershipDecisionMaker")</sup> property was removed.
* The `ChainAclGroupProvider::$supportedProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/SecurityBundle/Acl/Group/ChainAclGroupProvider.php#L17 "Oro\Bundle\SecurityBundle\Acl\Group\ChainAclGroupProvider::$supportedProvider")</sup> property was removed.
* The `EntitySecurityMetadataProvider::__construct(ConfigProvider $securityConfigProvider, ConfigProvider $entityConfigProvider, ConfigProvider $extendConfigProvider, ManagerRegistry $doctrine, TranslatorInterface $translator, CacheProvider $cache = null, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/SecurityBundle/Metadata/EntitySecurityMetadataProvider.php#L64 "Oro\Bundle\SecurityBundle\Metadata\EntitySecurityMetadataProvider")</sup> method was changed to `EntitySecurityMetadataProvider::__construct(ConfigProvider $securityConfigProvider, ConfigProvider $entityConfigProvider, ConfigProvider $extendConfigProvider, ManagerRegistry $doctrine, TranslatorInterface $translator, CacheProvider $cache = null, EventDispatcherInterface $eventDispatcher, AclGroupProviderInterface $aclGroupProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/SecurityBundle/Metadata/EntitySecurityMetadataProvider.php#L69 "Oro\Bundle\SecurityBundle\Metadata\EntitySecurityMetadataProvider")</sup>

SyncBundle
----------
* The `DoctrineTagGenerator::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/SyncBundle/Content/DoctrineTagGenerator.php#L21 "Oro\Bundle\SyncBundle\Content\DoctrineTagGenerator")</sup> method was changed to `DoctrineTagGenerator::__construct(ManagerRegistry $doctrine, EntityClassResolver $entityClassResolver)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/SyncBundle/Content/DoctrineTagGenerator.php#L29 "Oro\Bundle\SyncBundle\Content\DoctrineTagGenerator")</sup>

UIBundle
--------
* The `Template`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UIBundle/Twig/Template.php#L5 "Oro\Bundle\UIBundle\Twig\Template")</sup> class was removed.

UserBundle
----------
* The `SaveEntity`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Api/Processor/Create/SaveEntity.php#L14 "Oro\Bundle\UserBundle\Api\Processor\Create\SaveEntity")</sup> class was removed.
* The `EmailCaseInsensitiveOptionValidator::__construct(UserManager $userManager, TranslatorInterface $translator, DatagridRouteHelper $datagridRouteHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Validator/EmailCaseInsensitiveOptionValidator.php#L39 "Oro\Bundle\UserBundle\Validator\EmailCaseInsensitiveOptionValidator")</sup> method was changed to `EmailCaseInsensitiveOptionValidator::__construct(ManagerRegistry $doctrine, TranslatorInterface $translator, DatagridRouteHelper $datagridRouteHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/UserBundle/Validator/EmailCaseInsensitiveOptionValidator.php#L40 "Oro\Bundle\UserBundle\Validator\EmailCaseInsensitiveOptionValidator")</sup>
* The `UserProvider::__construct(BaseUserManager $userManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Security/UserProvider.php#L23 "Oro\Bundle\UserBundle\Security\UserProvider")</sup> method was changed to `UserProvider::__construct(UserLoaderInterface $userLoader, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/UserBundle/Security/UserProvider.php#L27 "Oro\Bundle\UserBundle\Security\UserProvider")</sup>
* The `BaseUserManager::__construct($class, ManagerRegistry $registry, EncoderFactoryInterface $encoderFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L39 "Oro\Bundle\UserBundle\Entity\BaseUserManager")</sup> method was changed to `BaseUserManager::__construct(UserLoaderInterface $userLoader, ManagerRegistry $doctrine, EncoderFactoryInterface $encoderFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L32 "Oro\Bundle\UserBundle\Entity\BaseUserManager")</sup>
* The `UserManager::__construct($class, ManagerRegistry $registry, EncoderFactoryInterface $encoderFactory, EnumValueProvider $enumValueProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/UserManager.php#L35 "Oro\Bundle\UserBundle\Entity\UserManager")</sup> method was changed to `UserManager::__construct(UserLoaderInterface $userLoader, ManagerRegistry $doctrine, EncoderFactoryInterface $encoderFactory, EnumValueProvider $enumValueProvider, ServiceLink $emailProcessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/UserBundle/Entity/UserManager.php#L38 "Oro\Bundle\UserBundle\Entity\UserManager")</sup>
* The `UserProvider::findUser`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Security/UserProvider.php#L67 "Oro\Bundle\UserBundle\Security\UserProvider::findUser")</sup> method was removed.
* The `UserImapConfigSubscriber::postSubmit`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Form/EventListener/UserImapConfigSubscriber.php#L56 "Oro\Bundle\UserBundle\Form\EventListener\UserImapConfigSubscriber::postSubmit")</sup> method was removed.
* The following methods in class `BaseUserManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L141 "Oro\Bundle\UserBundle\Entity\BaseUserManager")</sup> were removed:
   - `isCaseInsensitiveEmailAddressesEnabled`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L141 "Oro\Bundle\UserBundle\Entity\BaseUserManager::isCaseInsensitiveEmailAddressesEnabled")</sup>
   - `refreshUser`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L210 "Oro\Bundle\UserBundle\Entity\BaseUserManager::refreshUser")</sup>
   - `loadUserByUsername`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L252 "Oro\Bundle\UserBundle\Entity\BaseUserManager::loadUserByUsername")</sup>
   - `getClass`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L267 "Oro\Bundle\UserBundle\Entity\BaseUserManager::getClass")</sup>
   - `supportsClass`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L275 "Oro\Bundle\UserBundle\Entity\BaseUserManager::supportsClass")</sup>
   - `getEncoder`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L285 "Oro\Bundle\UserBundle\Entity\BaseUserManager::getEncoder")</sup>
   - `getStorageManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L303 "Oro\Bundle\UserBundle\Entity\BaseUserManager::getStorageManager")</sup>
* The following methods in class `UserManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/UserManager.php#L95 "Oro\Bundle\UserBundle\Entity\UserManager")</sup> were removed:
   - `generatePassword`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/UserManager.php#L95 "Oro\Bundle\UserBundle\Entity\UserManager::generatePassword")</sup>
   - `isCaseInsensitiveEmailAddressesEnabled`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/UserManager.php#L146 "Oro\Bundle\UserBundle\Entity\UserManager::isCaseInsensitiveEmailAddressesEnabled")</sup>
* The `UserProvider::$userManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Security/UserProvider.php#L16 "Oro\Bundle\UserBundle\Security\UserProvider::$userManager")</sup> property was removed.
* The following properties in class `BaseUserManager`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L26 "Oro\Bundle\UserBundle\Entity\BaseUserManager")</sup> were removed:
   - `$class`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L26 "Oro\Bundle\UserBundle\Entity\BaseUserManager::$class")</sup>
   - `$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/UserBundle/Entity/BaseUserManager.php#L29 "Oro\Bundle\UserBundle\Entity\BaseUserManager::$registry")</sup>

WorkflowBundle
--------------
* The following classes were removed:
   - `DefinitionUpgrade20Command`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/DefinitionUpgrade20Command.php#L24 "Oro\Bundle\WorkflowBundle\Command\DefinitionUpgrade20Command")</sup>
   - `CallBackTranslationGenerator`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/CallBackTranslationGenerator.php#L5 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\CallBackTranslationGenerator")</sup>
   - `ConfigFile`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/ConfigFile.php#L7 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\ConfigFile")</sup>
   - `ConfigResource`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/ConfigResource.php#L9 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\ConfigResource")</sup>
   - `GeneratedTranslationResource`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/GeneratedTranslationResource.php#L5 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\GeneratedTranslationResource")</sup>
   - `KeysUtil`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/KeysUtil.php#L7 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\KeysUtil")</sup>
   - `MovementOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/MovementOptions.php#L7 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\MovementOptions")</sup>
   - `TranslationFile`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/TranslationFile.php#L10 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\TranslationFile")</sup>
   - `TranslationsExtractor`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/TranslationsExtractor.php#L9 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\TranslationsExtractor")</sup>
   - `YamlContentUtils`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/YamlContentUtils.php#L7 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\YamlContentUtils")</sup>
   - `WorkflowTranslationTools`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/Workflow/WorkflowTranslationTools.php#L15 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\Workflow\WorkflowTranslationTools")</sup>
   - `WorkflowsUtil`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/Workflow/WorkflowsUtil.php#L7 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\Workflow\WorkflowsUtil")</sup>
* The `IsGrantedWorkflowTransition::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Model/Condition/IsGrantedWorkflowTransition.php#L43 "Oro\Bundle\WorkflowBundle\Model\Condition\IsGrantedWorkflowTransition")</sup> method was changed to `IsGrantedWorkflowTransition::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, WorkflowManager $workflowManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/4.0.0-beta/src/Oro/Bundle/WorkflowBundle/Model/Condition/IsGrantedWorkflowTransition.php#L50 "Oro\Bundle\WorkflowBundle\Model\Condition\IsGrantedWorkflowTransition")</sup>
* The `ResourceTranslationGenerator`<sup>[[?]](https://github.com/oroinc/platform/tree/3.1.0/src/Oro/Bundle/WorkflowBundle/Command/Upgrade20/ResourceTranslationGenerator.php#L5 "Oro\Bundle\WorkflowBundle\Command\Upgrade20\ResourceTranslationGenerator")</sup> interface was removed.

